Package org.linphone.core

# Enum Class ConferenceScheduler.State

java.lang.Object
java.lang.Enum<ConferenceScheduler.State>
org.linphone.core.ConferenceScheduler.State

All Implemented Interfaces:
  `Serializable`, `Comparable<ConferenceScheduler.State>`, `Constable`

Enclosing interface:
  `ConferenceScheduler`

public static enum ConferenceScheduler.State extends Enum<ConferenceScheduler.State>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`AllocationPending`
Conference creation is in progress.
`Error`
An error has happened during conference creation.
`Idle`
Default state of a freshly created `ConferenceScheduler`.
`Ready`
Confererence has been created.
`Updating`
Conference has been updated.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected final int`
`mValue`

## Method Summary

Modifier and Type
Method
Description
`static ConferenceScheduler.State`
`fromInt(int value)`
`int`
`toInt()`
`static ConferenceScheduler.State`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConferenceScheduler.State[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### Idle

public static final ConferenceScheduler.State Idle
Default state of a freshly created `ConferenceScheduler`.

### Error

public static final ConferenceScheduler.State Error
An error has happened during conference creation.

### AllocationPending

public static final ConferenceScheduler.State AllocationPending
Conference creation is in progress.

### Ready

public static final ConferenceScheduler.State Ready
Confererence has been created.

### Updating

public static final ConferenceScheduler.State Updating
Conference has been updated.

## Field Details

### mValue

protected final int mValue

## Method Details

### values

public static ConferenceScheduler.State[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConferenceScheduler.State valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### fromInt

public static ConferenceScheduler.State fromInt(int value) throws RuntimeException

Throws:
  `RuntimeException`

### toInt

public int toInt()